ru.bitel.oss.kernel.entity.common.bean

## Class EntityAttrText

- java.lang.Object
- - ru.bitel.oss.kernel.entity.common.bean.EntityAttr
  - - ru.bitel.oss.kernel.entity.common.bean.EntityAttrText

-     public class EntityAttrText
      extends EntityAttr

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityAttrText()`
    `EntityAttrText(int entityId, int entitySpecAttrId, java.lang.String value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getType()` Возвращает тип параметра - `EntitySpecAttr#TYPE_TEXT`, `EntitySpecAttr#TYPE_LIST`, `EntitySpecAttr#TYPE_EMAIL` и т.д.
    `java.lang.String` | `getTypeName()` Возвращает строковое представление типа параметра, например, "text", "list", "email" и т.д.
    `java.lang.String` | `getValue()`
    `void` | `setValue(java.lang.String value)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.EntityAttr

      `getEntityId, getEntitySpecAttrId, newInstance, setEntityId, setEntitySpecAttrId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EntityAttrText

          public EntityAttrText()

    - #### EntityAttrText

          public EntityAttrText(int entityId,
                                int entitySpecAttrId,
                                java.lang.String value)

  - ### Method Detail

    - #### getType

          public int getType()

      Description copied from class: `EntityAttr`
      Возвращает тип параметра - `EntitySpecAttr#TYPE_TEXT`, `EntitySpecAttr#TYPE_LIST`, `EntitySpecAttr#TYPE_EMAIL` и т.д.
      Specified by:
        `getType` in class `EntityAttr`
      Returns:
      See Also:
        `EntitySpecAttr`

    - #### getTypeName

          public java.lang.String getTypeName()

      Description copied from class: `EntityAttr`
      Возвращает строковое представление типа параметра, например, "text", "list", "email" и т.д.
      Specified by:
        `getTypeName` in class `EntityAttr`
      Returns:

    - #### getValue

          public java.lang.String getValue()

    - #### setValue

          public void setValue(java.lang.String value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`